Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class Bootstrap

    java.lang.Object
      org.apache.openjpa.kernel.Bootstrap

    public class Bootstrap

extends Object

Helper methods for acquiring `BrokerFactory` objects

Since:
  0.4.0.0

Constructor Summary
`Bootstrap()`

Method Summary
`static BrokerFactory` | `getBrokerFactory()` Return a pooled factory for the default configuration.
`static BrokerFactory` | `getBrokerFactory(ConfigurationProvider conf, ClassLoader loader)` Return a pooled factory for the given configuration.
`static BrokerFactory` | `newBrokerFactory()` Return a new factory for the default configuration.
`static BrokerFactory` | `newBrokerFactory(ConfigurationProvider conf, ClassLoader loader)` Return a new factory for the given configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bootstrap

    public Bootstrap()

Method Detail

### newBrokerFactory

    public static BrokerFactory newBrokerFactory()

  Return a new factory for the default configuration.

### newBrokerFactory

    public static BrokerFactory newBrokerFactory(ConfigurationProvider conf,
                                                 ClassLoader loader)

  Return a new factory for the given configuration. The classloader will be used to load the factory class. If no classloader is given, the thread's context classloader is used.

### getBrokerFactory

    public static BrokerFactory getBrokerFactory()

  Return a pooled factory for the default configuration.

### getBrokerFactory

    public static BrokerFactory getBrokerFactory(ConfigurationProvider conf,
                                                 ClassLoader loader)

  Return a pooled factory for the given configuration. The classloader will be used to load the factory class. If no classloader is given, the thread's context classloader is used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.